net.sf.jasperreports.engine

## Class JRPrintAnchorIndex

- java.lang.Object
- - net.sf.jasperreports.engine.JRPrintAnchorIndex

-     public class JRPrintAnchorIndex
      extends java.lang.Object

  Version:
    $Id: JRPrintAnchorIndex.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPrintAnchorIndex(int page, JRPrintElement elem)` Creates an element anchor.
    `JRPrintAnchorIndex(int page, JRPrintElement elem, int offsetX, int offsetY)` Creates an element anchor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPrintElement` | `getElement()`
    `int` | `getElementAbsoluteX()` Returns the absolute (relative to the report page) X coordinate of the anchor element.
    `int` | `getElementAbsoluteY()` Returns the absolute (relative to the report page) Y coordinate of the anchor element.
    `int` | `getPageIndex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRPrintAnchorIndex

          public JRPrintAnchorIndex(int page,
                            JRPrintElement elem)

      Creates an element anchor.
      Parameters:
        `page` - the index of the page in the report
        `elem` - the element

    - #### JRPrintAnchorIndex

          public JRPrintAnchorIndex(int page,
                            JRPrintElement elem,
                            int offsetX,
                            int offsetY)

      Creates an element anchor.
      Parameters:
        `page` - the index of the page in the report
        `elem` - the element
        `offsetX` - the X offset of the element coordinates system
        `offsetY` - the Y offset of the element coordinates system
      See Also:
        `getElementAbsoluteX()`, `getElementAbsoluteY()`

  - ### Method Detail

    - #### getPageIndex

          public int getPageIndex()

    - #### getElement

          public JRPrintElement getElement()

    - #### getElementAbsoluteX

          public int getElementAbsoluteX()

      Returns the absolute (relative to the report page) X coordinate of the anchor element.

      This can be different than `getElement().getX()` for elements placed inside a `frame`.

      Returns:
        the absolute X coordinate of the anchor element

    - #### getElementAbsoluteY

          public int getElementAbsoluteY()

      Returns the absolute (relative to the report page) Y coordinate of the anchor element.

      This can be different than `getElement().getY()` for elements placed inside a `frame`.

      Returns:
        the absolute Y coordinate of the anchor element

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com